## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit f9a537c93935d9d536b5ea29b54a226160b2b111
%global date 20250302
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global pre %{date}.%{shortcommit}

Name:			dfu-util
Version:		0.11
Release:		%{autorelease}%{?pre:~%{pre}}
Summary:		Device Firmware Upgrade Utilities
License:		GPL-2.0
URL:			https://dfu-util.sourceforge.net

Source0:		https://sourceforge.net/code-snapshots/git/d/df/dfu-util/dfu-util.git/dfu-util-dfu-util-%{commit}.zip

BuildRequires:	gcc
BuildRequires:	automake
BuildRequires:	pkgconfig
%if 0%{?fedora}
BuildRequires:	libusb1-devel
%else
BuildRequires:	libusb-devel
%endif

%description
Dfu-util is a host side implementation of the DFU 1.0 and DFU 1.1 [1]
specification of the USB forum.

DFU is intended to download and upload firmware to devices connected over
USB. It ranges from small devices like micro-controller boards up to mobile
phones and single-board computers. dfu-util is able to download firmware
to devices as well as to upload firmware from them.

%prep
%autosetup -n %{name}-%{name}-%{commit}

%build
autoreconf -v -i
%configure

%make_build

%install
%make_install

%files
%license COPYING
%doc README INSTALL ChangeLog AUTHORS DEVICES.txt
%{_bindir}/dfu-prefix
%{_bindir}/dfu-suffix
%{_bindir}/dfu-util
%{_mandir}/man1/dfu-prefix.1.gz
%{_mandir}/man1/dfu-suffix.1.gz
%{_mandir}/man1/dfu-util.1.gz

%changelog
## START: Generated by rpmautospec
* Sun Mar 09 2025 Luca Magrone <luca@magrone.cc> - 0.11-2
- Require libusb1 instead of libusb on fedora

* Sun Mar 09 2025 Luca Magrone <luca@magrone.cc> - 0.11-1
- Initial Package
## END: Generated by rpmautospec
